cdac.medinfo.ccd.datatype

## Class ED

- java.lang.Object
- - cdac.medinfo.ccd.datatype.ANY
  - - cdac.medinfo.ccd.datatype.BIN
    - - cdac.medinfo.ccd.datatype.ED

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    ST, Thumbnail

      public class ED
      extends BIN

  Data that is primarily intended for human interpretation or for further machine processing is outside the scope of HL7. This includes unformatted or formatted written language, multimedia data, or structured information as defined by a different standard (e.g., XML-signatures.) Instead of the data itself, an ED may contain only a reference (see TEL.) Note that the ST data type is a specialization of the ED data type when the ED media type is text/plain.

  Java class for ED complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="ED">
         <complexContent>
           <extension base="{urn:hl7-org:v3}BIN">
             <sequence>
               <element name="reference" type="{urn:hl7-org:v3}TEL" minOccurs="0"/>
               <element name="thumbnail" type="{urn:hl7-org:v3}thumbnail" minOccurs="0"/>
             </sequence>
             <attribute name="mediaType" type="{urn:hl7-org:v3}cs" default="text/plain" />
             <attribute name="language" type="{urn:hl7-org:v3}cs" />
             <attribute name="compression" type="{urn:hl7-org:v3}CompressionAlgorithm" />
             <attribute name="integrityCheck" type="{urn:hl7-org:v3}bin" />
             <attribute name="integrityCheckAlgorithm" type="{urn:hl7-org:v3}IntegrityCheckAlgorithm" default="SHA-1" />
           </extension>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ED()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CompressionAlgorithm` | `getCompression()` Gets the value of the compression property.
    `byte[]` | `getIntegrityCheck()` Gets the value of the integrityCheck property.
    `IntegrityCheckAlgorithm` | `getIntegrityCheckAlgorithm()` Gets the value of the integrityCheckAlgorithm property.
    `java.lang.String` | `getLanguage()` Gets the value of the language property.
    `java.lang.String` | `getMediaType()` Gets the value of the mediaType property.
    `TEL` | `getReference()` Gets the value of the reference property.
    `Thumbnail` | `getThumbnail()` Gets the value of the thumbnail property.
    `void` | `setCompression(CompressionAlgorithm value)` Sets the value of the compression property.
    `void` | `setIntegrityCheck(byte[] value)` Sets the value of the integrityCheck property.
    `void` | `setIntegrityCheckAlgorithm(IntegrityCheckAlgorithm value)` Sets the value of the integrityCheckAlgorithm property.
    `void` | `setLanguage(java.lang.String value)` Sets the value of the language property.
    `void` | `setMediaType(java.lang.String value)` Sets the value of the mediaType property.
    `void` | `setReference(TEL value)` Sets the value of the reference property.
    `void` | `setThumbnail(Thumbnail value)` Sets the value of the thumbnail property.

    - ### Methods inherited from class cdac.medinfo.ccd.datatype.BIN

      `getRepresentation, setRepresentation`

    - ### Methods inherited from class cdac.medinfo.ccd.datatype.ANY

      `getContent, getNullFlavor, setContent`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ED

          public ED()

  - ### Method Detail

    - #### getReference

          public TEL getReference()

      Gets the value of the reference property.
      Returns:
        possible object is `TEL`

    - #### setReference

          public void setReference(TEL value)

      Sets the value of the reference property.
      Parameters:
        `value` - allowed object is `TEL`

    - #### getThumbnail

          public Thumbnail getThumbnail()

      Gets the value of the thumbnail property.
      Returns:
        possible object is `Thumbnail`

    - #### setThumbnail

          public void setThumbnail(Thumbnail value)

      Sets the value of the thumbnail property.
      Parameters:
        `value` - allowed object is `Thumbnail`

    - #### getMediaType

          public java.lang.String getMediaType()

      Gets the value of the mediaType property.
      Returns:
        possible object is `String`

    - #### setMediaType

          public void setMediaType(java.lang.String value)

      Sets the value of the mediaType property.
      Parameters:
        `value` - allowed object is `String`

    - #### getLanguage

          public java.lang.String getLanguage()

      Gets the value of the language property.
      Returns:
        possible object is `String`

    - #### setLanguage

          public void setLanguage(java.lang.String value)

      Sets the value of the language property.
      Parameters:
        `value` - allowed object is `String`

    - #### getCompression

          public CompressionAlgorithm getCompression()

      Gets the value of the compression property.
      Returns:
        possible object is `CompressionAlgorithm`

    - #### setCompression

          public void setCompression(CompressionAlgorithm value)

      Sets the value of the compression property.
      Parameters:
        `value` - allowed object is `CompressionAlgorithm`

    - #### getIntegrityCheck

          public byte[] getIntegrityCheck()

      Gets the value of the integrityCheck property.
      Returns:
        possible object is byte[]

    - #### setIntegrityCheck

          public void setIntegrityCheck(byte[] value)

      Sets the value of the integrityCheck property.
      Parameters:
        `value` - allowed object is byte[]

    - #### getIntegrityCheckAlgorithm

          public IntegrityCheckAlgorithm getIntegrityCheckAlgorithm()

      Gets the value of the integrityCheckAlgorithm property.
      Returns:
        possible object is `IntegrityCheckAlgorithm`

    - #### setIntegrityCheckAlgorithm

          public void setIntegrityCheckAlgorithm(IntegrityCheckAlgorithm value)

      Sets the value of the integrityCheckAlgorithm property.
      Parameters:
        `value` - allowed object is `IntegrityCheckAlgorithm`